import { Injectable } from '@nestjs/common';
import { BaseDeleteManager } from 'src/core/modules/domain/usecase/managers/base-delete.manager';
import { ItemQueueEntity } from '../../entities/item-queue.entity';
import {
  EventTopics,
  validateRelations,
} from 'src/core/strings/constants/interface.constants';
import { ItemQueueModel } from '../../../data/models/item-queue.model';

@Injectable()
export class DeleteItemQueueManager extends BaseDeleteManager<ItemQueueEntity> {
  getResult(): string {
    return `Success`;
  }

  async validateProcess(): Promise<void> {
    return;
  }

  async beforeProcess(): Promise<void> {
    return;
  }

  async afterProcess(): Promise<void> {
    return;
  }

  get validateRelations(): validateRelations[] {
    return [];
  }

  get entityTarget(): any {
    return ItemQueueModel;
  }

  get eventTopics(): EventTopics[] {
    return [];
  }
}
